package cn.cecep.talroad.service;

import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.domain.BaseControlConcentStandards;
import cn.cecep.talroad.vo.BaseControlConcentStandardsVo;
import cn.cecep.talroad.vo.query.BaseControlConcentStandardsQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;


public interface BaseControlConcentStandardsService{


    AjaxResults<IPage<BaseControlConcentStandardsVo>> selectList(BaseControlConcentStandardsQuery query);

    int insert(BaseControlConcentStandards record);

    int insertSelective(BaseControlConcentStandards record);

    BaseControlConcentStandards selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(BaseControlConcentStandards record);

    int updateByPrimaryKey(BaseControlConcentStandards record);

    int updateBatchSelective(List<BaseControlConcentStandards> list);

    int batchInsert(List<BaseControlConcentStandards> list);

    void importData(List<BaseControlConcentStandards> data);

    void updateAdviceEmissionAvg();

    Integer addPollutant(String code, Integer type);
}
